org.rrd4j.graph

## Class TimeAxisSetting

- java.lang.Object
- - org.rrd4j.graph.TimeAxisSetting

-     class TimeAxisSetting
      extends Object

  Configuration settings for time axis in RRD graphs. Defines major/minor grid units, label formatting, and time span settings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) TimeLabelFormat` | `format`
    `(package private) int` | `labelSpan`
    `(package private) TimeUnit` | `labelUnit`
    `(package private) int` | `labelUnitCount`
    `(package private) TimeUnit` | `majorUnit`
    `(package private) int` | `majorUnitCount`
    `(package private) TimeUnit` | `minorUnit`
    `(package private) int` | `minorUnitCount`
    `(package private) long` | `secPerPix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeAxisSetting(int minorUnit, int minorUnitCount, int majorUnit, int majorUnitCount, int labelUnit, int labelUnitCount, int labelSpan, TimeLabelFormat format)`
    `TimeAxisSetting(long secPerPix, TimeUnit minorUnit, int minorUnitCount, TimeUnit majorUnit, int majorUnitCount, TimeUnit labelUnit, int labelUnitCount, int labelSpan)`
    `TimeAxisSetting(long secPerPix, TimeUnit minorUnit, int minorUnitCount, TimeUnit majorUnit, int majorUnitCount, TimeUnit labelUnit, int labelUnitCount, int labelSpan, TimeLabelFormat format)`
    `TimeAxisSetting(TimeAxisSetting s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) TimeAxisSetting` | `withLabelFormat(TimeLabelFormat f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          final TimeLabelFormat format

    - #### labelSpan

          final int labelSpan

    - #### labelUnit

          final TimeUnit labelUnit

    - #### labelUnitCount

          final int labelUnitCount

    - #### majorUnit

          final TimeUnit majorUnit

    - #### majorUnitCount

          final int majorUnitCount

    - #### minorUnit

          final TimeUnit minorUnit

    - #### minorUnitCount

          final int minorUnitCount

    - #### secPerPix

          final long secPerPix

  - ### Constructor Detail

    - #### TimeAxisSetting

          TimeAxisSetting(int minorUnit,
                          int minorUnitCount,
                          int majorUnit,
                          int majorUnitCount,
                          int labelUnit,
                          int labelUnitCount,
                          int labelSpan,
                          TimeLabelFormat format)

    - #### TimeAxisSetting

          TimeAxisSetting(long secPerPix,
                          TimeUnit minorUnit,
                          int minorUnitCount,
                          TimeUnit majorUnit,
                          int majorUnitCount,
                          TimeUnit labelUnit,
                          int labelUnitCount,
                          int labelSpan)

    - #### TimeAxisSetting

          TimeAxisSetting(long secPerPix,
                          TimeUnit minorUnit,
                          int minorUnitCount,
                          TimeUnit majorUnit,
                          int majorUnitCount,
                          TimeUnit labelUnit,
                          int labelUnitCount,
                          int labelSpan,
                          TimeLabelFormat format)

    - #### TimeAxisSetting

          TimeAxisSetting(TimeAxisSetting s)

  - ### Method Detail

    - #### withLabelFormat

          TimeAxisSetting withLabelFormat(TimeLabelFormat f)